package cz.frantovo.hrisniciSpameri;

import cz.frantovo.hrisniciSpameri.dao.CilDAO;
import cz.frantovo.hrisniciSpameri.dao.GeneratorSouhrnuDAO;
import cz.frantovo.hrisniciSpameri.dto.Cil;
import java.io.Serializable;
import java.util.Collection;
import java.sql.Date;
import java.util.Calendar;

/**
 * Beana, která vygeneruje denní souhrn.
 * Pokud pro daný den už souhr vygenerovaný byl, smaže ho.
 * Vše probíhá v jedné transakci.
 * @author fiki
 */
public class Sprava implements Serializable {

    private static final long serialVersionUID = -9048188038805055786L;

    public boolean getGenerujSouhrn() {
        //Date zacatek = new Date(0);
        Calendar zc = Calendar.getInstance();
        zc.add(Calendar.MONTH, -1);
        Date zacatek = new Date(zc.getTimeInMillis());
        Date konec = new Date(System.currentTimeMillis());
        Collection<Cil> cile = new CilDAO().getCile();
        GeneratorSouhrnuDAO g = new GeneratorSouhrnuDAO();
        for (Cil c : cile) {
            g.generujSouhrn(c, zacatek, konec);
        }

        return true;
    }
}
